Procedure

The procedure resource.

Basehttps://rest.carbon.ms/procedure
GET/procedure

List procedures

Retrieve a paginated list of procedures. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/procedure
curl --request GET \
  --url 'https://rest.carbon.ms/procedure?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "name": "Example",
    "version": 0,
    "status": "string",
    "content": "string",
    "createdAt": "2026-01-01T00:00:00Z",
    "createdBy": "string",
    "processId": "xyz789"
  }
]
GET/procedure

Retrieve a procedure

Fetch a single procedure by filtering on `id`.

Query parameters

idstring

Match on the procedure's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/procedure
curl --request GET \
  --url 'https://rest.carbon.ms/procedure?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "version": 0,
  "status": "string",
  "content": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "processId": "xyz789"
}
POST/procedure

Create a procedure

Create a new procedure.

Body parameters

namestringrequired
processIdstring

References process.id

descriptionstring
versionnumberrequired
statusprocedureStatusrequired
contentobjectrequired
assigneestring

References user.id

companyIdstring

References company.id

tagsarray
POSThttps://rest.carbon.ms/procedure
curl --request POST \
  --url https://rest.carbon.ms/procedure \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"name":"Example","description":"string","version":0,"status":"string","content":"string"}'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "version": 0,
  "status": "string",
  "content": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "processId": "xyz789"
}
PATCH/procedure

Update a procedure

Update an existing procedure, matched on `id`.

Body parameters

namestringrequired
processIdstring

References process.id

descriptionstring
versionnumberrequired
statusprocedureStatusrequired
contentobjectrequired
assigneestring

References user.id

companyIdstring

References company.id

tagsarray
PATCHhttps://rest.carbon.ms/procedure
curl --request PATCH \
  --url 'https://rest.carbon.ms/procedure?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"name":"Example"}'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "version": 0,
  "status": "string",
  "content": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "processId": "xyz789"
}
DELETE/procedure

Delete a procedure

Delete a procedure, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the procedure to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/procedure
curl --request DELETE \
  --url 'https://rest.carbon.ms/procedure?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content